#include <iostream.h>
#include <math.h>
void main()
{ float a,b,c,m=1,br[1000],i=0;
cin>>a>>b;
c=a/b;
br[i]=1;i++;
for (int k=1;k<b-1;k++)
{ m+=ceil(c); br[i]=m;i++;}
br[i]=a;
for (i=0;i<b;i++)
cout<<br[i]<<' ';
cout<<endl;
}
